Customer Products

Get Customer Products

get
/customers/{customerId}/products

Get Customer Products

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerIdstring · uuidRequired

Customer ID

Query parameters
productTypestring · enumOptional

Product type

Possible values:
productCodestring · enumOptional

Product code

Possible values:
statusstring · enumOptional

The status of the account

Possible values:
ibanstringOptional

The IBAN of a cash account

Responses
chevron-right
200

OK

application/json
customerProductIdstring · uuidRequired

The ID of the product instance for the given customer

productCodestring · enumRequired

Product code

Possible values:
productTypestring · enumRequired

Product type

Possible values:
currencystring · enumOptional

Currency of the product's balance. Currency code in ISO 4217

Possible values:
statusstring · enumRequiredPossible values:
proxyIdsstring · uuid[]Optional
createdOnstring · date-timeRead-onlyRequired
modifiedOnstring · date-timeRead-onlyRequired
openedOnstring · date-timeRead-onlyOptional
closedOnstring · date-timeRead-onlyOptional
get
/customers/{customerId}/products

Create Customer Product

post
/customers/{customerId}/products

Create Customer Product

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerIdstring · uuidRequired

customer ID the partner is creating a product for

Header parameters
Requestor-IDstring · uuidRequired

Unique requestor identification in UUID format

Body
productCodestring · enumRequired

Product code

Possible values:
Responses
chevron-right
200

OK

application/json
customerProductIdstring · uuidRequired
post
/customers/{customerId}/products

Get Customer Product

get
/products/{customerProductId}

Get Customer Product

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerProductIdstring · uuidRequired

the ID of the product instance for the given customer

Responses
chevron-right
200

OK

application/json
customerProductIdstring · uuidRequired

The ID of the product instance for the given customer

productCodestring · enumRequired

Product code

Possible values:
productTypestring · enumRequired

Product type

Possible values:
currencystring · enumOptional

Currency of the product's balance. Currency code in ISO 4217

Possible values:
statusstring · enumRequiredPossible values:
proxyIdsstring · uuid[]Optional
createdOnstring · date-timeRead-onlyRequired
modifiedOnstring · date-timeRead-onlyRequired
openedOnstring · date-timeRead-onlyOptional
closedOnstring · date-timeRead-onlyOptional
get
/products/{customerProductId}

Update customer product

patch
/products/{customerProductId}

Update customer product. It is used to close the customer product.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
customerProductIdstring · uuidRequired

the ID of the product instance for the given customer

Header parameters
Requestor-IDstring · uuidRequired

Unique requestor identification in UUID format

Body
statusstring · enumRequiredPossible values:
Responses
chevron-right
200

OK

No content

patch
/products/{customerProductId}

No content

Last updated